## org.eclipse.datatools.sqltools.routineeditor.parameter
Class ParameterInOutWrapper

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.parameter.ParameterInOutWrapper

    public class ParameterInOutWrapper

extends java.lang.Object

Wraps the `ParameterDescriptor` by adding parameter in/out value support.

Author:
  Zhi-hong(Bryan) Yang

Constructor Summary
`ParameterInOutWrapper(org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor pd)`

Method Summary
`java.lang.String` `getInValue()`
`java.lang.String` `getOutValue()`
`org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor` `getParameterDescriptor()`
`void` `setInValue(java.lang.String value)`
`void` `setOutValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterInOutWrapper

    public ParameterInOutWrapper(org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor pd)

Method Detail

### getInValue

    public java.lang.String getInValue()

  Returns:
    Returns the _inValue.

### setInValue

    public void setInValue(java.lang.String value)

  Parameters:
    `value` - The _inValue to set.

### getOutValue

    public java.lang.String getOutValue()

  Returns:
    Returns the _outValue.

### setOutValue

    public void setOutValue(java.lang.String value)

  Parameters:
    `value` - The _outValue to set.

### getParameterDescriptor

    public org.eclipse.datatools.sqltools.core.dbitem.ParameterDescriptor getParameterDescriptor()

  Returns:
    Returns the `ParameterDescriptor`.